> For the complete documentation index, see [llms.txt](https://docs.cn.omnibridge.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cn.omnibridge.pro/integration/coin-list.md).

# 查询币种列表

> 提供币种列表展示给用户，告诉用户哪些币可以进行兑换&#x20;

**1. 接口调用：**

```
https://{host}/api/v1/queryCoinList
```

**2. 请求参数示例**

<table><thead><tr><th>参数</th><th width="104.3333740234375">是否必须</th><th>说明</th></tr></thead><tbody><tr><td>supportType</td><td>否</td><td>advanced：返回只支持跨链兑换的币种，不传或传其他值返回所有币种</td></tr><tr><td>mainNetwork</td><td>否</td><td>根据币种主网查询</td></tr><tr><td>sourceFlag</td><td>是</td><td>渠道名称</td></tr></tbody></table>

**3.请求参数示例**

```
{
    "supportType":"advanced",
    "mainNetwork":"ETH",
    "sourceFlag": "xxx"
}
```

**4.返回结果示例**

```
{
    "data": [
        {
            "coinAllCode": "Bitcoin",
            "coinCode": "BTC",
            "coinImageUrl": "/static/image/coins/bitcoin.png",
            "coinName": "比特币",
            "contact": "",
            "isSupportAdvanced": "Y",
            "mainNetwork": "",
            "noSupportCoin": "BCC,SAN,ICX,EET,ETDM,BCC,GZRO,DTO,UCTT"
        },
        {
            "coinAllCode": "Ether",
            "coinCode": "ETH",
            "coinImageUrl": "/static/image/coins/ether.png",
            "coinName": "以太币",
            "contact": "",
            "isSupportAdvanced": "Y",
            "mainNetwork": "",
            "noSupportCoin": "BCC,SAN,ICX,EET,ETDM,BCC,GZRO,DTO,UCTT"
        }
    ],
    "resCode": "800",
    "resMsg": "成功",
    "resMsgEn": ""
}
```

[](<https://{host}/api/v1/queryCoinList&#xD;&#xA;>)

**5.返回参数说明**

<table data-header-hidden><thead><tr><th width="149">字段名称</th><th width="184">字段</th><th width="100">数据类型</th><th width="319">备注</th></tr></thead><tbody><tr><td>币种全称</td><td>coinAllCode</td><td>String</td><td>Bitcoin</td></tr><tr><td>币种码</td><td>coinCode</td><td>String</td><td>BTC</td></tr><tr><td>币种精度</td><td>coinDecimal</td><td>String</td><td>8</td></tr><tr><td>合约地址</td><td>contact</td><td>String</td><td>合约地址</td></tr><tr><td>是否支持兑换     </td><td>isSupportAdvanced </td><td>String</td><td>Y：支持、N:不支持</td></tr><tr><td>是否支持memo</td><td>isSupportMemo</td><td>String</td><td>Y：支持、N:不支持</td></tr><tr><td>代币所属主网(主网简称)</td><td>mainNetwork</td><td>String</td><td>比如USDC是ETH链上上的币，则mainNetwork为ETH；BNB(BSC)属于BSC链上的币，则mainNetwork为BSC；</td></tr><tr><td>不支持兑换的币种</td><td>noSupportCoin</td><td>String</td><td>如有多个不支持币种，用‘，’隔开。 例如："noSupportCoin":"TKT,SHE,AIDOC"</td></tr></tbody></table>

**6.Postman示例**

![](/files/LATmIwvIsmrQlwF66l4D)

**7.返回结果注意事项**

> 我们平台上支持的一些代币，有时可能会和对接方平台支持的币种名称有冲突或有多个相同名称的币，为了避免发币时，发错币种，这里可根据字段`mainNetwork`  和 `contact` 来判定,目前平台主要支持的代币有**ETH、波场、BSC、HECO、MATIC、OEC、EOS、XLM（Stellar）、XRP、Waves** 等主网上的代币


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cn.omnibridge.pro/integration/coin-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
